connect to tlma%

insert into
  lic.RES_CONF_KEY_REL
 select distinct
   TYPE, 
   CONF_KEY_ID,
   '7.2.2.27' as version,
   VALUE_RANGE_MAX,
   VALUE_RANGE_MIN
 from 
   lic.RES_CONF_KEY_REL
 where
   version in
     ('7.2.2.1', '7.2.2.2', '7.2.2.24', '7.2.2.25')
   and not exists
     (select * from lic.RES_CONF_KEY_REL where version = '7.2.2.27')%

insert into adm.control (name, value)
select 
  'USE_SCAN_CONFIG_TIME',
  CHAR(DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE), JIS) CONCAT ' ' CONCAT CHAR(TIME(CURRENT TIMESTAMP - CURRENT TIMEZONE), JIS) CONCAT '.0'
from
  sysibm.sysdummy1
where not exists
  (select * from adm.control where name = 'USE_SCAN_CONFIG_TIME')%
  
disconnect current%

