-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2012.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

update adm.agent a set node_id =  (
    select v.node_id
    from adm.AGT_VM_REL rel
    join adm.vm v
        on v.id = rel.VM_ID
    where
        rel.AGENT_ID = a.id
        and rel.END_TIME = '9999-12-31 00:00:00.0'
)
where
    a.id in (
    select a.id from adm.AGT_VM_REL rel2
    join adm.vm v2 on rel2.vm_id = v2.id
    where rel2.AGENT_ID = a.id
      and rel2.END_TIME = '9999-12-31 00:00:00.0'
)%